Subject: bug#66637: 29.1; Emacs crashes with activating tree-sitter modes

From: Kristjon Ciko <[email-masked]>
Date: Fri, 20 Oct 2023 11:09:33 +0000

It seems like this is a MacOS-specific issue; more precisely, a MacOS Sonoma-specific since I did not have this problem before the upgrade.

I reinstalled Emacs using `sudo port install emacs-app` and I found out that the issue occurs **ONLY** when Emacs (vanilla Emacs, no config files involved) is launched from the Spotlight search, which points to /Applications/MacPorts/Emacs.app.  Everything works just fine if I run emacs from the terminal (`which emacs` => /Applications/MacPorts/Emacs.app/Contents/MacOS/emacs)

Same case with my own config; launching it from terminal seems the way to go.

Cheers 
________________________________________
From: Eli Zaretskii <[email-masked]>
Sent: Thursday, October 19, 2023 2:57 PM
To: Kristjon Ciko
Cc: [email-masked]
Subject: Re: bug#66637: 29.1; Emacs crashes with activating tree-sitter modes

> From: Kristjon Ciko <[email-masked]>
> Date: Thu, 19 Oct 2023 09:17:11 +0000
>
>
> How to reproduce:
>
> ;; Launch Emacs
> emacs -Q
>
> ;; Install grammars for C and C++
> M-x treesit-install-language-grammar
> ;; Libraries installed to ~/.emacs.d/tree-sitter/libtree-sitter-c.dylib
> and ~/.emacs.d/tree-sitter/libtree-sitter-cpp.dylib
>
> ;; Open a C file
> C-x C-f test.c
>
> ;; Activate c-ts-mode

This doesn't crash for me, although I use c-ts-mode all the time.

I'm not on macOS, so either this is macOS-specific, or your personal
copies of the tree-sitter and/or the grammar libraries is faulty.  In
any case, please show the backtrace from the crashes by running Emacs
under a debugger.

Thanks.